# check for a library using pkg-config or in system spots

# MST_CHECK_LIB(lib, module, function, [EXTRA LIBRARIES])
#----------------------
AC_DEFUN([MST_CHECK_LIB],
[
m4_define([_MST_CHECK_LIB_ERR],
[Unable to find the $1 library. Please set the environmental variables
            $1[]_CFLAGS and $1[]_LIBS
])
PKG_CHECK_MODULES( [$1], [$2],
		   [LIBS="$LIBS $$1[]_LIBS"
	            CFLAGS="$CFLAGS $$1[]_CFLAGS"],
		   [AC_CHECK_LIB($1, $3,,
				 [ AC_MSG_ERROR(_MST_CHECK_LIB_ERR)],
				 [$4]) ])
])
